<div class="d-flex justify-content-between align-items-start mb-2">
    <div class="mt-1">{{ item.text }}</div>

</div>

<div class="d-flex justify-content-end align-items-center mb-2 ">
    <button mat-icon-button class="mt-1 " (click)="onCardItemEmit(item, false)">
    <mat-icon class="icon ">thumb_down_off_alt</mat-icon>
  </button>
    <button mat-icon-button disableRipple (click)="onCardItemEmit(item, true)">
    <mat-icon class="icon ">thumb_up_off_alt</mat-icon>
  </button>
    <span>:  {{ item.like }}</span>
    <button mat-icon-button disableRipple class="ml-2 " (click)="open = !open">
    <mat-icon class=" icon ">chat_bubble_outline</mat-icon>
  </button>
    <span>:  {{ item.comments.length }}</span>
    <button mat-icon-button class="icon-delete " (click)="onCardDelete(item.id)">
    <mat-icon style=" font-size: 18px; ">delete</mat-icon>
  </button>
</div>

<div *ngIf="open ">
    <mat-form-field class="w-100 mb-2 ">
        <mat-label>Type your comment here</mat-label>
        <textarea matInput [(ngModel)]="commentInput " (mousedown)="$event.stopPropagation() "></textarea>
        <button mat-button *ngIf="commentInput " matSuffix mat-icon-button color="primary" class="icon-confirm " (click)="onCommentTextEmit(item.id) ">
      <mat-icon style="font-size: 30px; margin-left: 5px; ">done</mat-icon>
    </button>
    </mat-form-field>

    <ng-content></ng-content>
</div>